# coding: utf-8
from rest_framework import viewsets
from rest_framework.decorators import action
from rest_framework.request import Request
from rest_framework.response import Response

from inspect_report import permissions
from inspect_report.models import CustomProfile
import json
import logging

logger = logging.getLogger(__name__)


class OpenApi(viewsets.ViewSet):
    authentication_classes = ()
    permission_classes = (permissions.ValidateToken, )
    # permission_classes = ()

    @action(['get'], detail=False)
    def labels(self, req: Request):
        phone_num = req.GET.get('phone_num')
        if not phone_num:
            logger.error('[phone_label]---invalid params')
            return Response({'code': -1, 'msg': '请传入手机号'})
        labels = []
        profile = CustomProfile.objects.filter(phone_number=phone_num, custom_labels__isnull=False).first()
        if not profile:
            return Response({'code': 0, 'msg': '查询成功', 'data': json.dumps(labels)})
        if profile.custom_labels:
            labels = profile.custom_labels.split('、')
        return Response({'code': 0, 'msg': '查询成功', 'data': labels})
